geos::triangulate::tri::TriList< TriType > Class Template Reference

`#include <TriList.h>`

## Public Types

typedef std::vector< TriType * >::iterator | iterator
typedef std::vector< TriType * >::const_iterator | const_iterator

## Public Member Functions

std::vector< TriType * > & | getTris ()
void | remove (TriType *tri)
void | add (const Coordinate &c0, const Coordinate &c1, const Coordinate &c2)
void | add (std::array< Coordinate, 3 > &corner)
double | area ()
double | length ()
std::size_t | degree (const TriType *tri, TriIndex index)
void | validate ()
std::unique_ptr< Geometry > | toGeometry (const GeometryFactory *geomFact) const
size_t | size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
TriType * | operator[] (std::size_t index)

## Friends

std::ostream & | operator<< (std::ostream &os, TriList &triList)

## Detailed Description

template<typename TriType>
class geos::triangulate::tri::TriList< TriType >

A utility class that holds the ownership of the Tris being passed between different processing operations, and also provides access to those Tris as a vector of pointers, to match up to the JTS API.

The documentation for this class was generated from the following file:

- TriList.h